Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum1 -- CercaGlobale -- Informativa su Cookie e Privacy


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
[Risolto] Ubuntu 18.4.1 - Errore durante l'aggiornamento
#1
Buon giorno a tutti,
tentando l'aggiornamento del sistema da terminale ho ricevuti avvisi di impossibilità a procedere, che riporto nel listato seguente:
Codice:
pietro@nonno-desktop:~$ sudo apt-get update && sudo apt-get dist-upgrade
[sudo] password di pietro:
Trovato:1 http://archive.canonical.com/ubuntu bionic InRelease
Trovato:2 http://archive.ubuntu.com/ubuntu bionic InRelease
Trovato:3 http://ppa.launchpad.net/gezakovacs/ppa/ubuntu bionic InRelease
Trovato:4 http://archive.ubuntu.com/ubuntu bionic-updates InRelease
Trovato:5 http://archive.ubuntu.com/ubuntu bionic-backports InRelease
Trovato:6 http://archive.ubuntu.com/ubuntu bionic-security InRelease
Lettura elenco dei pacchetti... Fatto
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze      
Lettura informazioni sullo stato... Fatto
È utile eseguire "apt --fix-broken install" per correggere ciò.
I seguenti pacchetti hanno dipendenze non soddisfatte:
libpython2.7-stdlib : Dipende: libpython2.7-minimal (= 2.7.15~rc1-1ubuntu0.1) ma la versione 2.7.15~rc1-1 è installata
python2.7 : Dipende: python2.7-minimal (= 2.7.15~rc1-1ubuntu0.1) ma la versione 2.7.15~rc1-1 è installata
E: Dipendenze non soddisfatte. Provare "apt --fix-broken install" senza pacchetti (o specificare una soluzione).
pietro@nonno-desktop:~$ apt --fix-broken install
E: Impossibile aprire il file di blocco /var/lib/dpkg/lock-frontend - open (13: Permesso negato)
E: Unable to acquire the dpkg frontend lock (/var/lib/dpkg/lock-frontend), are you root?
pietro@nonno-desktop:~$ apt --fix-broken install
E: Impossibile aprire il file di blocco /var/lib/dpkg/lock-frontend - open (13: Permesso negato)
E: Unable to acquire the dpkg frontend lock (/var/lib/dpkg/lock-frontend), are you root?
pietro@nonno-desktop:~$
Qualcuno mi può indicare come procedere?
Come sempre  Huh  e  At
Cita messaggio
Grazie da:
#2
ti dice di essere amministratore. anteponi il sudo davanti al comando > apt --fix-broken install
Cita messaggio
#3
Mille grazie, tutto è andato a posto. Come sempre mi hai dato una mano: un personale, caro augurio per il nuovo anno per te e tutti i tuoi cari
Cita messaggio
Grazie da:
#4
contraccambio.
Cita messaggio
Grazie da:


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)